# nls/C/install.nls

package install_nls;

&main::Require("Exporter.pm");
@ISA = (Exporter);
@EXPORT = qw( %txt %nlsdata %UsrDefs );


%txt = (
	'...'					=> "...",
	'ERROR:'				=> "ERROR:",
	'WARNING:'				=> "WARNING:",
    ')'						=> ")",
    '('						=> "(",
    '"'						=> "\"",
    '(line'                 =>  "(line",
	'Error:'				=> "Error:",
	'syscmd1'				=>
"The following system commands were not found:",
	'syscmd2'				=>
"You may add to your path appropriately and run again.",
	'syscmd3'				=>
"You may exit install, add to your path appropriately, and run again.\n" .
"Otherwise, you will not be able to install to remote hosts.\n\n" .
"(Press Return to continue install initialization)",
    'in_list)'              => "in list)",
    'bad_host_p2'           =>
"does not appear to be a valid hostname.",
    'same_addr'             =>
"The following hosts resolve to the same address:",
    'list_errors'           =>
"The destination hostlist contains the following errors:",
    'pls_dstcfg_correct'    =>
"Please return to the Destination Configuration menu and correct.",
	'Press...'				=> 
"Press the Escape or Tab key to return to the configuration interview...",
	'installation'			=> "installation",
	'Begining'				=> "Beginning",
	'Installing'			=> "Installing",
	'begin_msg'				=> "Begin Installation",
	'to_local'				=> "to local host",
	'Cant_logfile'			=> "Can't open for writing logfile",
	'Cant_backend'			=> "Can't execute backend",
	'must_be_root'			=> "You must be root to run install.",
	'.'						=> ".",
	'saved_log'				=> "This log has been appended to",
	'Minimum_term'			=> "Minimum terminal size is",
	'columns_by'			=> "columns by",
	'rows.'					=> "rows.",
	'Please_term_blah'		=>
"Please ensure that the terminal used is at least this size",
	','						=> ",",
	'env_vars'				=> "and that the environment vars",
	'and'					=> "and",
	'set_correctly'			=> "are set correctly",
	'resize'				=> "(use \"resize\" ?)",
	'end_msg'		       	=> "End Installation Log",
	'hdr_char1'         	=> "*",
    'sep_str1'          	=> " - ",
	'bool_help'				=>
"(Use the spacebar to toggle the response, \nthen press the Return key)",


	'about_to_validate'		=>
"The configuration settings must now be validated, checking that\n" .
"installation as specified may proceed for each destination.\n" .
"This may take a while depending on the configuration.\n" .
"Once completed, confirmation will be required to proceed\n" .
"with the installation(s)...",

	'cant_validate_log'		=>
"WARNING:\nUnable to write validation log",

	'wrote_validate_log'	=>
"Validation information written to",

	'cont_abort'			=>
"Press the Tab key to continue, or the Escape key to reconfigure...",

	'inst_abort'			=>
"Press the Tab key to install, or the Escape key to reconfigure...",

	'val_already'			=>
"Configuration validation has already been performed with the current settings.",

	'perform_val'			=> "Performing configuration validation...",
	'***'					=> "******",
	'begin_val'				=> "Begin Configuration Validation",
	'end_val'				=> "End Configuration Validation",
	'validating_hostnames'	=> "Validating hostnames...",
	'validating_gen_cfg'	=> "Validating general configuration...",
	'Ok.'					=> "  Ok.",

	'val_errs_warns'		=>
"There are warnings and errors in the configuration validation.",

	'val_errs'				=>
"There are errors in the configuration validation.",

	'val_warns'				=>
"There are warnings in the configuration validation.",

	'val_success'			=>
"Configuration validation was successful, without errors or warnings.",

	'inst_cant_because_errs' =>
"Configuration validation encountered errors for all specified hosts.\n" .
"Installation cannot proceed.\n",

	'some_errs'				=>
"Configuration validation encountered errors for the following hosts:",

	'some_errs_2'			=>
"Installation can proceed for all other hosts.",

	'inst_cant'				=> "Installation cannot proceed.",

	'inst_can'				=> "Installation can now proceed.",

	'can_proceed_warns'		=> 
"Installation can optionally proceed despite the configuration\n" .
"validation Warning(s).",

	'do_proceed?'			=> 
"Do you wish to proceed with the installation(s) ? ",

	'inst_proceeding_warns'	=>
"Installation is proceeding with validation warnings accepted...",

	'inst_proceeding'		=>
"Installation is proceeding as described above...",

	'please_correct'		=> 
"Please review the validation information and correct all problems.",

	'unable_more'			=>
"Unable to initialize pager."

);


%nlsdata = (

	'sepline1_len'		=>	70,
	'install_logfile'	=>	"/var/tmp/lotus_install.log",
	'validate_logfile'	=>	"/var/tmp/lotus_install_config_validation.log",

	# these are the usual system environment vars
	'envvar_cols_1'		=>	"COLUMNS",
	'envvar_lines_1'	=>	"LINES",

	# these are what some systems' "stty -a" output
	'sttyout_columns'	=> "columns",
	'sttyout_rows'		=> "rows",
	
);


%UsrDefs = (

	# destspectype is a nls tag; it must be either "single" or "multiple",
	# and is mapped from the appropriate menu's nls file
	'destspectype'		=> "single",

	# the rest are literal
	'destpath'			=> "/opt/lotus",
	'hostlist_fname'	=> "/tmp/notes_install_hostlist",
	'userid'			=> "notes",
	'groupid'			=> "notes"
);
